
exports.Store = StoreMem

function StoreMem() {
	this.data = {}
}

StoreMem.prototype = {
	get: function(key, next) {
		var obj = this.data[key]
		, err = obj ? null : "Item not found"
		next(err, obj)
	},
	set: function(key, val, next) {
		this.data[key] = val
		if (next) {
			setImmediate(next)
		}
	},
	destroy: function(key) {
		delete this.data[key]
		if (next) {
			setImmediate(next)
		}
	},
	rename: function(key, newKey, next) {
		this.data[newKey] = this.data[key]
		delete this.data[key]
		if (next) {
			setImmediate(next)
		}
	}
}

